unit Fullscreen;

{$mode Delphi}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs; 


type
  TFullScreen = class(TComponent)
  private
    { Private declarations }
    FActive:boolean;
    stored:boolean;
    oldh,oldw,oldx,oldy:longint;
    oldbs:TBorderStyle;
    olds:twindowstate;
    procedure ApplyChanges;
    procedure SetActive(value:boolean);
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(aOwner:TComponent); override;
  published
    { Published declarations }
    property Active:boolean read FActive write SetActive;
  end;

implementation

constructor TFullScreen.Create;
begin
    inherited Create(aOwner);
    stored:=false;
    ApplyChanges;
end;

procedure TFullScreen.SetActive;
begin
    FActive:=value;
    ApplyChanges;
end;

procedure TFullScreen.ApplyChanges;
begin
    with Owner as TCustomForm do
    begin
        if FActive then
        begin
            oldh:=Height;
            oldw:=Width;
            oldx:=Left;
            oldy:=Top;
            olds:=WindowState;
            oldbs:=BorderStyle;
            BorderStyle:=bsNone;
            WindowState:=wsMaximized;
            Height:=Screen.Height;
            stored:=True;
        end else
        begin
            if stored then
            begin
                WindowState:=olds;
                Height:=oldh;
                width:=oldw;
                Left:=oldx;
                Top:=oldy;
                BorderStyle:=oldbs;
                stored:=false;
            end;
        end;
    end;
end;

end.


